(require 'ogi_synthesis)

;;;; durations of src, targ segments
(set! src_segs  '((x 0.115) (x 0.293) (x 0.092) (x 0.299)))
(set! targ_segs  '((x 0.115) (x 0.693) (x 0.192) (x 0.299)))

;;;; F0 targets w.r.t. targ segs
(set! F0targs  '((0.115 170.0) (0.220 180.0)  (0.255 120.0)  (0.300 140.0) (0.300 110.0) (0.9 100.0) (1.2 90.0)))


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; 
;; synthesize from pitchmarks and wave
;;
(set! fileparams (list
		  '(wav_file "ogi_0001.wav")
		  '(pm_file "ogi_0001.pmv")
		  ))
(OGIresLPC.init++ '((mod_method "direct")))
(print "synthesize from pitchmarks and wave")
(utt.save.wave (utt.play (OGIresynth src_segs targ_segs  F0targs fileparams)) "psola.wav")


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; 
;; synthesize from pmarks, residual, and LSF's
;;
(set! fileparams (list
		  '(wav_file "ogi_0001.res")
		  '(lsf_file "ogi_0001.lpc")
		  '(pm_file "ogi_0001.pmv")
		  ))
(OGIresLPC.init nil)
(OGIresLPC.init++ '((mod_method "direct")))
(print "synthesize from pitchmarks, residual, and LSF's")
(utt.save.wave  (utt.play (OGIresynth src_segs targ_segs  F0targs fileparams)) "reslpc2.wav")


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; 
;; "synthesize" from wave only, with no modification
;;   (essentially just plays the wave)
;;
(set! fileparams (list
		  '(wav_file "ogi_0001.wav")
		  ))
(OGIresLPC.init++ '((mod_method "none")))
(print "synthesize from wave only, no mod")
(utt.play (OGIresynth src_segs targ_segs  F0targs fileparams))


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; 
;; synthesize from pitchmarks and wave, but
;;  use natural F0, specified durations.
;;
(set! fileparams (list
		  '(wav_file "ogi_0001.wav")
		  '(pm_file "ogi_0001.pmv")
		  ))
(OGIresLPC.init++ (list '(mod_method "direct") '(pitch_method "natural") '(dur_method "direct")))
(print "synthesize from wave and pmarks, no pitch mod")
(utt.play (OGIresynth src_segs targ_segs  F0targs fileparams))


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; 
;; synthesize from pitchmarks and wave, but
;;  use specified F0, natural durations.
;;
(set! fileparams (list
		  '(wav_file "ogi_0001.wav")
		  '(pm_file "ogi_0001.pmv")
		  ))
(OGIresLPC.init++ (list '(pitch_method "direct") '(dur_method "natural")))
(print "synthesize from wave and pmarks, no duration mod")
(utt.play (OGIresynth src_segs targ_segs  F0targs fileparams))

